Installer Debian GNU/Linux 4.0r9

La version 4.0 de Debian GNU/Linux a été détrônée par la version 5.0 de Debian GNU/Linux (lenny). Il est possible que certaines images d'installation pour etch ne soient plus disponibles ou ne fonctionnent plus correctement; par conséquent, il est fortement recommandé d'installer lenny.

Pour installer Debian GNU/Linux 4.0r9 (Etch), téléchargez l'une des images suivantes :

images de CD d'installation par le réseau (en général 135 à 175 Mo)

images de CD au format carte de visite (en général 20 à 50 Mo)

autres images (amorçage par le réseau, sur clé USB, etc.)

Notes

Documentation

Si vous ne voulez lire qu'un document avant l'installation, lisez notre guide d'installation, une marche à suivre rapide pour le processus d'installation. Voici d'autres documents utiles :

Errata

Voici une liste des problèmes connus dans l'installateur fourni avec Debian GNU/Linux 4.0r9. Si vous avez rencontré un problème en installant Debian et que vous ne le voyez pas listé ici, veuillez nous envoyer un rapport d'installation (en anglais) décrivant le problème ou vérifiez le wiki pour d'autres problèmes connus.

Errata pour la publication 4.0r3

Cette plublication corrige les deux problèmes listés ci-dessous touchant 4.0r2.

Errata pour la publication 4.0r2

Cette nouvelle publication corrige le problème de paramétrage de la console série avec le GRUB indiqué ci-dessous pour la version 4.0r0.

À cause d'une omission, l'installateur n'utilise pas la version du noyau publiée avec la 4.0r2, mais une légèrement plus ancienne (2.6.18.dfsg.1-13). Les modules chargés ensuite pendant l'installation peuvent provenir de la version la plus récente (2.6.18.dfsg.1-16), mais comme les interfaces binaires de ces deux versions sont compatibles, cela ne devrait poser aucun problème.

Pour la même raison, l'ajout de la gestion des machines Nevada SGI O2 indiqué dans l'annonce de publication n'est pas compris dans la publication actuelle.

Ces deux problèmes seront corrigés dans la prochaine mise à jour intermédiaire d'Etch.

Errata pour la publication 4.0r1

Cette nouvelle publication corrige quelques problèmes présents dans la version 4.0r0 initiale. Plus de lecteurs de CD USB sont détectés et gksu est configuré correctement lorsqu'il est installé avec le code superutilisateur désactivé (en mode sudo). La création de systèmes de fichiers ext2 est désormais possible.

La liste des miroirs a également été mise à jour ainsi que les traductions en catalan et en roumain de l'éditeur de partitions.

Avec la mise à jour du noyau dans cette publication, certaines images de l'installateur initialement publiées avec la version 4.0r0 d'Etch (celles d'amorçage par le réseau et de disquettes) ne fonctionnent plus à cause d'une incohérence de versions du noyau. Les installations par CD ne sont pas affectées.

Errata pour la publication 4.0r0

Possible modification des périphériques de disques lors du redémarrage
Sur les systèmes comportant plusieurs contrôleurs de disques lors du redémarrage du système, le programme réalisant la gestion des périphériques en espace mémoire utilisateur (udev) peut assigner un nœud de périphérique différent de celui utilisé pendant l'installation à cause d'un changement dans l'ordre de chargement des pilotes.
Ceci peut entraîner l'échec du démarrage du système. Dans la plupart des cas, ceci peut être corrigé en modifiant la configuration du chargeur d'amorçage et /etc/fstab, en utilisant le mode de secours de l'installateur par exemple.
Veuillez noter cependant que ce problème peut se reproduire lors de démarrages suivants. La correction de ce problème est une priorité pour la prochaine version de l'installateur Debian ;
Échec possible du redimensionnement de partitions ext3 existantes
L'installateur n'est actuellement pas capable de redimensionner les partitions ext3 dont les capacités dir_index ou resize_inode sont activées. Cela inclut les partitions ext3 créées avec l'installateur d'Etch.
Vous pouvez cependant redimensionner vous-même une partition ext3 lors de l'installation. Allez jusqu'à l'étape de partitionnement, utilisez le bouton <Retour> pour revenir au menu principal, lancez un interpréteur de commandes et redimensionnez le système de fichiers et la partition en utilisant les commandes disponibles dans l'interpréteur de commandes (fsck.ext3, resize2fs et par exemple fdisk ou parted). Si vous relancez partman après avoir terminé les opérations de redimensionnement, il devrait afficher la nouvelle taille de la partition ;
Erreur avec l'utilisation du chiffrement par bouclage aes (loop-aes) lors de l'installation par média disque dur
Si le chiffrement par bouclage aes est utilisé pendant une installation utilisant les images de média disque dur (par exemple une clef USB), cela peut échouer avec le message d'erreur suivant (ou un similaire) dans le journal système (bogue n° 434027) :
partman-crypto: ioctl: LOOP_SET_STATUS: Invalid argument, requested cipher or key length (256 bits) not supported by kernel. (argument invalide, longueur de clef (256 bits) ou algorithme de chiffrement requis non géré par le noyau
Une cause de ce problème est qu'antérieurement pendant l'installation l'image de CD a été montée en boucle avec le module de bouclage standard, cela empêche le montage du module de bouclage aes ensuite.
Il est possible de contourner ce problème en démontant manuellement l'image de CD, en déchargeant le module de bouclage (loop), en chargeant le module de bouclage aes (loop-aes) et en remontant l'image de CD.
Installation incomplète de la tâche bureautique à partir du CD complet
L'image du CD complet est trop petite pour contenir tous les paquets nécessaires à l'installation complète de la tâche bureautique. Cela signifie que si vous n'utilisez que ce CD comme source, seule une partie de la tâche bureautique sera installée.
Vous pouvez résoudre ce problème soit durant l'installation en choisissant d'utiliser un miroir réseau comme source d'installation des paquets en plus du CD (ce qui n'est pas recommandé si vous n'avez pas une connexion Internet décente), ou après avoir redémarré sur le système installé en utilisant apt-cdrom pour charger des CD supplémentaires puis en sélectionnant à nouveau la tâche bureautique dans aptitude ;
Problèmes de réseau possibles avec des routeurs bogués
Si vous rencontrez des problèmes de réseau durant l'installation, cela peut être dû à un routeur situé quelque part entre vous et le miroir Debian et qui ne gère pas correctement le dimensionnement de la fenêtre TCP. Veuillez vous reporter au bogue n° 401435 et à cet article de kerneltrap pour de plus amples informations.
Vous pouvez contourner ce problème en désactivant le dimensionnement de fenêtre TCP. Saisissez dans un interpréteur de commandes la commande suivante :
echo 0 > /proc/sys/net/ipv4/tcp_window_scaling
Une fois le système installé, vous ne devriez probablement pas désactiver complètement le dimensionnement de la fenêtre TCP. Les commandes suivantes configurent des intervalles en lecture et écriture qui devraient fonctionner avec pratiquement tous les routeurs :
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_rmem
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_wmem
Problèmes courants après le redémarrage à cause du codage UTF-8 utilisé par défaut
Le système d'installation est désormais paramétré en UTF-8 par défaut. Cependant, toutes les applications ne gèrent pas encore correctement l'UTF-8, ce qui peut engendrer de petits problèmes ou des problèmes plus importants lors de leur utilisation.
Veuillez vérifier si de tels problèmes ont déjà été signalés avant de remplir un rapport de bogue contre le paquet correspondant (et non contre l'installateur) ;
Traduction partielle du système installé
Dans la version Sarge de l'installateur, le paquet localization-config était responsable d'une partie de la traduction du système installé. Ce paquet faisait partie du paquet d'installation base-config qui a été supprimé dans cette nouvelle version. L'adaptation de localization-config pour qu'il fonctionne avant le redémarrage est sur notre liste des tâches à réaliser, mais en attendant certaines traductions peuvent ne pas être réalisées automatiquement lors de l'installation dans une langue autre que l'anglais ;
Installation de Sarge non prise en charge
En conséquence de certaines modifications structurelles dans l'installateur, l'installation de Sarge (l'ancienne distribution stable) n'est pas gérée ;
Installateur graphique
L'installateur a toujours quelques problèmes connus (veuillez également vous reporter au guide d'installation :
  • Certaines dispositions de claviers non américaines ne sont pas totallement gérées (les touches mortes et la combinaison de caractères ne fonctionnent pas),
  • la gestion des partitions chiffrées est limitée 
  • la plupart des PowerPC avec une carte ATI ne devraient pas rencontrer de problèmes, mais il y a peu de chances que cela fonctionne sur les autres systèmes PowerPC ;
Faux avertissement d'espace d'échange manquant lors de l'installation de la tâche ordinateur portable
Lors de l'installation de la tâche ordinateur portable, un mauvais avertissement est donné par le paquet uswsusp disant Aucun espace d'échange trouvé pour la mise en veille prolongée. Ce n'est qu'un avertissement incorrect et la veille prolongée devrait fonctionner correctement. Voir aussi le bogue n° 427104.
Pilote réseau sky2 cassé
Le pilote réseau sky2 est cassé dans le noyau utilisé (2.6.18.dfsg.1-11) et peut engendrer des plantages du noyau. Veuillez vous reporter par exemple au bogue n° 404107. Le bogue n° 411115 contient un ensemble de correctifs qui pourraient corriger ce problème ;
Architectures i386 et amd64 : paramétrage de la console série avec le GRUB
Il y a quelques problèmes dans la manière de l'installateur d'essayer de paramétrer GRUB pour utiliser une console série. De plus amples informations se trouvent dans le rapport de bogue n° 416310. En bref, ces problèmes peuvent être résolus en s'assurant que les options de parité et de bits sont aussi fournies dans la définition console=.
Pour la plupart des gens, cela signifie qu'au lieu de démarrer l'installateur avec console=ttyS0,9600 il faut utiliser console=ttyS0,9600n8.
Architecture i386 : échec possible d'amorçage de l'installateur sur certains systèmes anciens
À cause d'une régression dans le chargeur de démarrage syslinux qui est utilisé pour la plupart des images de l'installateur, certains systèmes anciens peut ne par réussir à amorcer l'installateur. Si l'amorçage s'arrête après avoir inscrit Loading initrd.gz...., vousu devriez essayer l'une des images alternatives qui utilise une version plus ancienne de syslinux. Veuillez également lire le rapport de bogue n° 415992.
Architecture amd64 : impossibilité de formater un système de fichiers ext2 (corrigé dans la version 4.0r1)
Comme le module du noyau ext2 n'est pas disponible, il n'est pas possible de créer de systèmes de fichiers ext2.
Architecture PowerPC : divers problèmes
Le portage sur l'architecture PowerPC a plusieurs problèmes dans cette version :
  • l'installation par disquettes pour la sous-architecture oldworld est cassée car aucun nœud n'est créé pour le module swim3 et car miboot n'est pas fourni,
  • le module snd-powermac n'est plus chargé par défaut car il gèle certains systèmes ; vous devrez l'ajouter vous-même dans /etc/modules ;
Architecture sparc : possible échec des installations à partir de CD pour l'architecture sparc32
Le module pilote du noyau esp est cassé ce qui signifie que l'installation à partir d'un CD ne fonctionne pas sur la plupart des systèmes sparc32. Nous vous suggérons d'utiliser la méthode d'installation par amorçage sur le réseau à la place.
Architecture sparc : gel apparent de l'installateur pendant l'amorçage
Il y a deux situations dans lesquelles l'installateur peut sembler se geler pendant l'amorçage après avant inscrit Booting Linux.... La première arrive lorsque deux contrôleurs graphiques sont présents (ceci est également décrit dans le manuel d'installation). La seconde est due à un bogue dans le pilote ATI du noyau et n'affecte que certaines cartes graphiques ATI.
Dans les deux cas le problème peut être contourné en ajoutant le paramètre video=atyfb:off lors de l'amorçage de l'installateur.
Architecture s390 : capacités non gérées
  • la gestion de la règle DASD DIAG n'est actuellement pas disponible,
  • la gestion des interfaces réseau LCS n'est plus disponible.